Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.DWG2PDFSettingData Class Reference

## Public Member Functions
| constructor ()
| Constructor, with parameters.

## Public Attributes
| color_policy
| The color policy used for the converted PDF document. More...
| export_flags
| The export flags used for the converted PDF document. Please refer to values starting from FSDK.DWG2PDFSettingData.e_FlagEmbededTTF and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.
| export_hatches_type
| The type of solid hatches export. More...
| gradient_export_hatches_type
| The type of gradient hatches export. More...
| is_active_layout
| true means to export the active layout only, while false means not. Default value: false.
| is_output_progress
| A boolean value which indicates whether to output progress logs. true means to output progress logs, and false means not. Default value: true.
| other_export_hatches_type
| The type of other (non-solid) hatches export. More...
| output_author
| The author for the output PDF document, an empty string will be used as default.
| output_creator
| The creator for the output PDF document, an empty string will be used as default.
| output_keywords
| The keywords for the output PDF document, an empty string will be used as default.
| output_producer
| The producer for the output PDF document, an empty string will be used as default.
| output_subject
| The subject for the output PDF document, an empty string will be used as default.
| output_title
| The title for the output PDF document, an empty string will be used as default.
| paper_height
| The paper height used for the converted PDF document. More...
| paper_width
| The paper width used for the converted PDF document. More...
| progress_callback
| A pointer to a FSDK.DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. This parameter can be NULL.
| searchable_text_type
| The type of search text type. More...

## Static Public Attributes
static | e_DWG2PDFColorPolicyGrayscale
| Color policy: Drawing is exported to a grayscale PDF file. Native colors are converted into grayscale.
static | e_DWG2PDFColorPolicyMono
| Color policy: Drawing is exported to a monochrome PDF file.
static | e_DWG2PDFColorPolicyNoPolicy
| Enumeration for color policy used for converting DWG to PDF. More...
static | e_DWG2PDFExportHatchesTypeDrawing
| Hatches export type: Exports hatch as a set of triangles (vectorizer).
static | e_DWG2PDFExportHatchesTypePdfPaths
| Hatches export type: Exports hatch as a PDF path (solid hatches only).
static | e_DWG2PDFExportHatchesTypePolygons
| Hatches export type: Exports hatch as a polygon (solid hatches only).
static | e_DWG2PDFSearchableTextTypeNoSearch
| Enumeration for searchable text type used for converting DWG to PDF. More...
static | e_DWG2PDFSearchableTextTypeSHX
| Searchable text type: Only text displayed with SHX font is searchable.
static | e_DWG2PDFSearchableTextTypeTTF
| Searchable text type: Only text displayed with TTF font is searchable.
static | e_FlagASCIIHexEncoding
| Bit 10. Enable ASCIIHex encoding of internal PDF streams.
static | e_FlagEmbededOptimizedTTF
| Bit 7. Enable embedding of TTF font program to PDF file. The TTF font will be reduced by removing unused parts (smaller PDF file size; but limited editing).
static | e_FlagEmbededTTF
| Enumeration for flags of DWG to PDF export. More...
static | e_FlagEnableLayers
| Bit 5. If enabled; layer support will be added to PDF file (1.5 version required).
static | e_FlagExportHyperlinks
| Bit 11. Enable hyperlinks export.
static | e_FlagFlateCompression
| Bit 9. Enable compression of internal PDF streams.
static | e_FlagIncludeOffLayers
| Bit 6. If enabled; invisible layers will be added to PDF file (1.5 version required).
static | e_FlagLinearized
| Bit 13. Create linearized PDF file.
static | e_FlagMeasuring: number static e_DWG2PDFExportHatchesTypeBitmap
| Bit 15. Enable measuring scale in pdf.
static | e_FlagSHXTextAsGeometry
| Bit 3. Enable SHX font text to geometry conversion.
static | e_FlagSimpleGeomOptimization
| Bit 4. Enable simple geometry optimization (separated segments to one polyline; Bezier curve control points).
static | e_FlagTTFTextAsGeometry
| Bit 2. Enable TTF font text to geometry conversion.
static | e_FlagUseHLR
| Bit 8. Determines whether software uses vector hidden-line removal for corresponding viewports.
static | e_FlagZoomToExtentsMode
| Bit 12. If enabled; layout geometry will be zoomed to paper size; else layout settings will be applied. More...

## Detailed Description

This class represents settings used for converting DWG to PDF. This would be used in class FSDK.Convert.

See also
  FSDK.Convert

## Member Data Documentation

## ◆ color_policy

FSDK.DWG2PDFSettingData.color_policy

The color policy used for the converted PDF document.

It use FSDK.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy as the default value of this option. Please refer to values starting from FSDK.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy and this should be one of these values.

## ◆ e_DWG2PDFColorPolicyNoPolicy

FSDK.DWG2PDFSettingData.e_DWG2PDFColorPolicyNoPolicy
| static

Enumeration for color policy used for converting DWG to PDF.

Values of this enumeration should be used alone.

Color policy: No color policy. A drawing is exported with its native color palette (as is)

## ◆ e_DWG2PDFSearchableTextTypeNoSearch

FSDK.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch
| static

Enumeration for searchable text type used for converting DWG to PDF.

Values of this enumeration should be used alone.

Searchable text type: No searchable text.

## ◆ e_FlagEmbededTTF

FSDK.DWG2PDFSettingData.e_FlagEmbededTTF
| static

Enumeration for flags of DWG to PDF export.

Values of this enumeration could be used alone or in a combination.

Bit 1. Enable embedding of TTF(True Type Font) program to PDF file. The whole TTF font file will be embedded (huge PDF size).

## ◆ e_FlagZoomToExtentsMode

FSDK.DWG2PDFSettingData.e_FlagZoomToExtentsMode
| static

Bit 12. If enabled; layout geometry will be zoomed to paper size; else layout settings will be applied.

Note
  This mode works like some Layout settings: "Plot Area" - "Extents"; "Fit to Paper"; "Center the plot"; these settings applied to specified paper size and orientation; but some settings like "Plot lineweight"; "Plot style" are still applying from Layout settings.

## ◆ export_hatches_type

FSDK.DWG2PDFSettingData.export_hatches_type

The type of solid hatches export.

It use FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values.

## ◆ gradient_export_hatches_type

FSDK.DWG2PDFSettingData.gradient_export_hatches_type

The type of gradient hatches export.

For this option, only FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ other_export_hatches_type

FSDK.DWG2PDFSettingData.other_export_hatches_type

The type of other (non-solid) hatches export.

For this option, only FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeDrawing are supported. It use FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from FSDK.DWG2PDFSettingData.e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ paper_height

FSDK.DWG2PDFSettingData.paper_height

The paper height used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(FSDK.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 297.0f. this values are in millimeters.

## ◆ paper_width

FSDK.DWG2PDFSettingData.paper_width

The paper width used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(FSDK.DWG2PDFSettingData.e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 210.0f. this values are in millimeters.

## ◆ searchable_text_type

FSDK.DWG2PDFSettingData.searchable_text_type

The type of search text type.

This option can be used if SHX or TTF text exported as geometry(FSDK.DWG2PDFSettingData.e_FlagTTFTextAsGeometry and FSDK.DWG2PDFSettingData.e_FlagSHXTextAsGeometry are enabled by export_flags). It use FSDK.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch as the default value of this option. Please refer to values starting from FSDK.DWG2PDFSettingData.e_DWG2PDFSearchableTextTypeNoSearch and this should be one of these values.